version: "3.9"

networks:
  mustika-network:
    driver: bridge
    name: mustika-network

services:
  postgres:
    image: postgres:latest
    restart: always
    container_name: test-mustika-go-postgres-1
    networks:
      - mustika-network
    environment:
      POSTGRES_DB: test_mustika_go
      POSTGRES_USER: postgres 
      POSTGRES_PASSWORD: postgres
    ports:
      - "5435:5432"
    healthcheck:
      test: ["CMD-SHELL", "pg_isready -U postgres"]
      interval: 10s
      timeout: 5s
      retries: 5

  mustika-server:
    build:
      context: .
    container_name: mustika-go
    networks:
      - mustika-network
    environment:
      POSTGRE_HOST: postgres
      POSTGRE_PORT: "5432"
      POSTGRE_DB: test_mustika_go
      POSTGRE_USER: postgres
      POSTGRE_PASSWORD: postgres
    depends_on:
      postgres:
        condition: service_healthy
    ports:
      - "8001:8001"
    volumes:
      - ./.env:/app/.env  # Adjust the path to your .env file

volumes:
  cache:
    driver: local
